GNU bug report logs - #35769
Local .bash_history cleared when tramp-histfile-override is set to t

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Wanrong Lin <wrglin@HIDDEN>; dated Fri, 17 May 2019 01:18:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35769 <at> debbugs.gnu.org:


Received: (at 35769) by debbugs.gnu.org; 3 Jun 2019 18:41:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 03 14:41:59 2019
Received: from localhost ([127.0.0.1]:43105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hXruB-0004b7-DM
	for submit <at> debbugs.gnu.org; Mon, 03 Jun 2019 14:41:59 -0400
Received: from mail-pf1-f194.google.com ([209.85.210.194]:46944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wrglin@HIDDEN>) id 1hXru9-0004at-4a
 for 35769 <at> debbugs.gnu.org; Mon, 03 Jun 2019 14:41:58 -0400
Received: by mail-pf1-f194.google.com with SMTP id y11so11084959pfm.13
 for <35769 <at> debbugs.gnu.org>; Mon, 03 Jun 2019 11:41:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language;
 bh=sw8rPhPsQ8Mws3Fe9tjoFoIZAIJ7HWZ5Wf2d7ak8p4g=;
 b=Zw4EG/muWYAQXg06Ky+7tFvZH9XY68Pt3HnTl6C1NvJlCFJhqOvjlBfVJmf/Ok1hLg
 LMKUYkuUBsNV62/kcmRQps/zXyLhTtZLUSpWUWQCns434mtzkxUICJdRaCqp8AzxQ4F7
 ilqKWHy2Qi7sWXUSv//RJPUVxL4vgJxrMk6TTWt2XE5GPhq99qEFkj6Ybo4L+LZJ36zJ
 GnurERny0J2TcV7HqJmVt+qQlJM1eIQdIh+ikJlZzxCyMteU1VZOIFxANaHsoB6yVWzL
 VhyOTsy17V2RPfzVoTC4KItZzQfDaz5g90zlKJ4Tq+sHujj0VnqLt647Qo7yETp8QSJg
 t1DQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language;
 bh=sw8rPhPsQ8Mws3Fe9tjoFoIZAIJ7HWZ5Wf2d7ak8p4g=;
 b=hLDnEyT8kAwB8OzZwtJ1WzTEpMcLNKHZwhBvdGgLT1XjmJDAJCQO0QxqNA6+arwzBb
 BvacW8W66fNcFP+YUnv/hcitWV74v4+Khult8znpJPSvDDXgRtLuOEHQTUrJaMuH5MlN
 rdXzny5NuiZ76XHIW/SqVmbQQVxFFzthQHiFAT60+0CrJKbtiHDfj2Kb9lNsgxCP8bMf
 YO0EX22M3FwVYCQZU/zL5krTIkea3GlgnE/SWx6QA/+iGNfDZVgqGWPJMAymlICiAmJ2
 /iwcV4yLuH5JZc2VL9f27x10+BJoKX7uuRSxEwewkpT1iOpKFtZEGgCoCam1ADr1X4AA
 ndsg==
X-Gm-Message-State: APjAAAWc0kD1hYZBpt7ried7QUPJNiZrtjIY9bESC/yldFBu3XTzajs6
 yxYXks+R7yV2aERNUj4/fzdVnGPg
X-Google-Smtp-Source: APXvYqzeuy2DmAxPqtm9oVaQdTd+Ewlvxp3BhF4vFMnq7yuQc2F/f1bqk84hJ8vuFfYeeBQO249zkg==
X-Received: by 2002:a63:3008:: with SMTP id w8mr16741856pgw.11.1559587310744; 
 Mon, 03 Jun 2019 11:41:50 -0700 (PDT)
Received: from [10.81.100.99] ([50.206.120.10])
 by smtp.googlemail.com with ESMTPSA id m5sm8651074pgn.59.2019.06.03.11.41.49
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 03 Jun 2019 11:41:50 -0700 (PDT)
Subject: Re: bug#35769: Local .bash_history cleared when
 tramp-histfile-override is set to t
To: Michael Albinus <michael.albinus@HIDDEN>
References: <CAFAV3Zbg092UrH1gzkgHLYKjA_9KodLzKa-=9hUnUbXds1A8zA@HIDDEN>
 <87ef4v20ue.fsf@HIDDEN> <fb923e49-354a-2443-621e-9210560fe322@HIDDEN>
 <87ef4t5fyk.fsf@HIDDEN> <206e5640-86c3-4815-d28b-86ac584ee5e5@HIDDEN>
 <874l5hknbe.fsf@HIDDEN>
From: Wanrong Lin <wrglin@HIDDEN>
Message-ID: <208960d9-67c4-6e49-63a7-b292ba39f1a4@HIDDEN>
Date: Mon, 3 Jun 2019 14:41:48 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:60.0) Gecko/20100101
 Thunderbird/60.7.0
MIME-Version: 1.0
In-Reply-To: <874l5hknbe.fsf@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------AAF7949FF49AEAAB2E7B0F39"
Content-Language: en-US
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35769
Cc: 35769 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------AAF7949FF49AEAAB2E7B0F39
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Sorry to reply late.

I could not patch your patch file on my Emacs 26.1 tramp.el. I guess I 
will wait until I get time to have Emacs 26.2 installed and test your 
change again.

Wanrong

On 5/26/2019 3:50 PM, Michael Albinus wrote:
> Wanrong Lin <wrglin@HIDDEN> writes:
>
>> Hi Michael:
> Hi Wanrong,
>
> [Pls keep the Cc, for the archives]
>
>> I just tested your patch (on Emacs 26.1 as I don't yet have a working
>> Emacs 26.2 set up) , and unfortunately it did not seem to fix the
>> issue. Would you mind taking a look at it again? Thanks.
> Well, I have hard times to reproduce your problem. Anyway, could you try
> the appended patch instead?
>
>> Wanrong
> Best regards, Michael.
>
>
> *** /tmp/ediff16zXeN	2019-05-26 21:45:35.446178244 +0200
> --- /net/ford/albinus/src/tramp/lisp/tramp.el	2019-05-26 21:44:57.446575193 +0200
> ***************
> *** 4676,4681 ****
> --- 4676,4682 ----
>    PROGRAM is nil is trapped also, returning 1.  Furthermore, traces
>    are written with verbosity of 6."
>      (let ((default-directory (tramp-compat-temporary-file-directory))
> + 	(process-environment (default-toplevel-value 'process-environment))
>    	(destination (if (eq destination t) (current-buffer) destination))
>    	(vec (or vec (car tramp-current-connection)))
>    	output error result)
> ***************
> *** 4709,4714 ****
> --- 4710,4716 ----
>    PROGRAM is nil is trapped also, returning 1.  Furthermore, traces
>    are written with verbosity of 6."
>      (let ((default-directory (tramp-compat-temporary-file-directory))
> + 	(process-environment (default-toplevel-value 'process-environment))
>    	(buffer (if (eq buffer t) (current-buffer) buffer))
>    	result)
>        (tramp-message
> ***************
> *** 4738,4743 ****
> --- 4740,4746 ----
>    If an error occurs, it returns nil.  Traces are written with
>    verbosity of 6."
>      (let ((default-directory (tramp-compat-temporary-file-directory))
> + 	(process-environment (default-toplevel-value 'process-environment))
>    	(vec (or vec (car tramp-current-connection)))
>    	result)
>        (if args



--------------AAF7949FF49AEAAB2E7B0F39
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body text="#000000" bgcolor="#FFFFFF">
    <div class="moz-cite-prefix">Sorry to reply late.</div>
    <div class="moz-cite-prefix"><br>
    </div>
    <div class="moz-cite-prefix">I could not patch your patch file on my
      Emacs 26.1 tramp.el. I guess I will wait until I get time to have
      Emacs 26.2 installed and test your change again.</div>
    <div class="moz-cite-prefix"><br>
    </div>
    <div class="moz-cite-prefix">Wanrong<br>
    </div>
    <div class="moz-cite-prefix"><br>
    </div>
    <div class="moz-cite-prefix">On 5/26/2019 3:50 PM, Michael Albinus
      wrote:<br>
    </div>
    <blockquote type="cite" cite="mid:874l5hknbe.fsf@HIDDEN">
      <pre class="moz-quote-pre" wrap="">Wanrong Lin <a class="moz-txt-link-rfc2396E" href="mailto:wrglin@HIDDEN">&lt;wrglin@HIDDEN&gt;</a> writes:

</pre>
      <blockquote type="cite">
        <pre class="moz-quote-pre" wrap="">Hi Michael:
</pre>
      </blockquote>
      <pre class="moz-quote-pre" wrap="">
Hi Wanrong,

[Pls keep the Cc, for the archives]

</pre>
      <blockquote type="cite">
        <pre class="moz-quote-pre" wrap="">I just tested your patch (on Emacs 26.1 as I don't yet have a working
Emacs 26.2 set up) , and unfortunately it did not seem to fix the
issue. Would you mind taking a look at it again? Thanks.
</pre>
      </blockquote>
      <pre class="moz-quote-pre" wrap="">
Well, I have hard times to reproduce your problem. Anyway, could you try
the appended patch instead?

</pre>
      <blockquote type="cite">
        <pre class="moz-quote-pre" wrap="">Wanrong
</pre>
      </blockquote>
      <pre class="moz-quote-pre" wrap="">
Best regards, Michael.

</pre>
      <br>
      <fieldset class="mimeAttachmentHeader"></fieldset>
      <pre class="moz-quote-pre" wrap="">*** /tmp/ediff16zXeN	2019-05-26 21:45:35.446178244 +0200
--- /net/ford/albinus/src/tramp/lisp/tramp.el	2019-05-26 21:44:57.446575193 +0200
***************
*** 4676,4681 ****
--- 4676,4682 ----
  PROGRAM is nil is trapped also, returning 1.  Furthermore, traces
  are written with verbosity of 6."
    (let ((default-directory (tramp-compat-temporary-file-directory))
+ 	(process-environment (default-toplevel-value 'process-environment))
  	(destination (if (eq destination t) (current-buffer) destination))
  	(vec (or vec (car tramp-current-connection)))
  	output error result)
***************
*** 4709,4714 ****
--- 4710,4716 ----
  PROGRAM is nil is trapped also, returning 1.  Furthermore, traces
  are written with verbosity of 6."
    (let ((default-directory (tramp-compat-temporary-file-directory))
+ 	(process-environment (default-toplevel-value 'process-environment))
  	(buffer (if (eq buffer t) (current-buffer) buffer))
  	result)
      (tramp-message
***************
*** 4738,4743 ****
--- 4740,4746 ----
  If an error occurs, it returns nil.  Traces are written with
  verbosity of 6."
    (let ((default-directory (tramp-compat-temporary-file-directory))
+ 	(process-environment (default-toplevel-value 'process-environment))
  	(vec (or vec (car tramp-current-connection)))
  	result)
      (if args
</pre>
    </blockquote>
    <p><br>
    </p>
  </body>
</html>

--------------AAF7949FF49AEAAB2E7B0F39--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35769; Package emacs. Full text available.

Message received at 35769 <at> debbugs.gnu.org:


Received: (at 35769) by debbugs.gnu.org; 26 May 2019 19:50:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 26 15:50:28 2019
Received: from localhost ([127.0.0.1]:51811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hUzA4-0001HT-2y
	for submit <at> debbugs.gnu.org; Sun, 26 May 2019 15:50:28 -0400
Received: from mout.gmx.net ([212.227.17.22]:35355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hUzA2-0001HD-6k
 for 35769 <at> debbugs.gnu.org; Sun, 26 May 2019 15:50:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1558900216;
 bh=z4+Fp3yjZbmKlMDEJTIIpGBlYi00gqf+ckGlbxen0xA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=VThDdO6mQDclc5oDVx1hvmeTJuOBvR/TcffQj+aPHJvJJE0xCwgxo2jajUfYjDHjM
 VEaBYPX1Xgcs35aAmRrr+DHVa70Y/xAENipnP6CHI3xHnzrscEigBVvO7KHx9lyUzQ
 cjsVMeiSQhZP5ZSTsOKXml4aL3UWegVZ/uj4QERk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([213.220.159.57]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MfzEP-1hJ6VR0Saj-00NNmh; Sun, 26
 May 2019 21:50:16 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Wanrong Lin <wrglin@HIDDEN>
Subject: Re: bug#35769: Local .bash_history cleared when
 tramp-histfile-override is set to t
References: <CAFAV3Zbg092UrH1gzkgHLYKjA_9KodLzKa-=9hUnUbXds1A8zA@HIDDEN>
 <87ef4v20ue.fsf@HIDDEN>
 <fb923e49-354a-2443-621e-9210560fe322@HIDDEN>
 <87ef4t5fyk.fsf@HIDDEN>
 <206e5640-86c3-4815-d28b-86ac584ee5e5@HIDDEN>
Date: Sun, 26 May 2019 21:50:13 +0200
In-Reply-To: <206e5640-86c3-4815-d28b-86ac584ee5e5@HIDDEN> (Wanrong Lin's
 message of "Mon, 20 May 2019 11:16:14 -0400")
Message-ID: <874l5hknbe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:rtLOXs1vRJVZLRCsOXHql//zPGPPkfhrrh7tUjKtBwyucCv1sXA
 wxSLXJBKCzQbERnp6/RoWCth91cLHTaxdWjNJpAoCmViSPf457dTMHqg+mqZJLtyg1htZWt
 DUqKJa83/0JADkhAT9GsKYw5jv2kkA4jJ+zWyusMC2Zi/FbPuWXPzAJtOqq3UYfj4W7K66k
 zfTfQUjIZrsor0kDSRq/A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:U9688oTDlaQ=:8qplKl5OQYJH1EebPlI9SB
 xzWJLEpidGK4Go+EyFJBABpF9rjW8/lWXoFwknTt19DacQ1w9NlXuXHDOW3TwBAXmLl2HfyNY
 EibN4SJoMTsOeYSOvwkOVtpd6naTqGMd8H4Pmn2/oXPV2iixOX7h3OdvCNAp2ZKaxNIE0fJSc
 ew/lDLaMEH1p2E/t9Mm3/sBq9bQ92UAbSxnz4Xuewb+9H7mbuzti3tP4u22N0R+G5JIh9a3uJ
 i+IC9rwJk4UnEzwmGvVk/NEluPcq7SAcEW/Z26DuKPBgsJZcVwbP0b+THbhpFNgldeCYj6/+U
 rWl4sHHnKQXriM6OFZnY3wgPBXe70/T6k9ivPsja4WcEPKZ74fqqAi35PpUaE/BQz09hNK/od
 Kwi/1kopON8NEDfGeWO1Rpwqv/HMwrVfFabxie4Fr4Q5LdEUxjTV6UvvyLdsuX0kbM0sLgyV7
 esMC+OKgi+crZtn0eR/froMk4bVLq8F5p8EfrA7nNlPbpyxgZw+stHijVvDv6sKZnKGg0Rzsl
 wU7qJwA3tsdVKDPKl2glJYBnG92CCEKrisNzpZatx93TM9jz5tphEwSUAUS8hqtZepxh0igMG
 KLS37HddAylU91N3BSQbLOmtPkoPYLvBsc0/oB6e/rvt3JpT0jBr7zmOaJY01eoT4Jg9s9o7i
 Y2WKvSwaXAn55bdkJoqSs4KC/ryhqFfHpgLYr/M0e+PdZ0IPn7qyyJuvcGzSEfaqmZY3NSDK1
 eUtNcHjf8kKxQd6gIBAPhJdzgLYXn3XXpgFAW6AZvqmINzJKQCsuXPwE7z6r9VFHfaiU05kFx
 5goftczxl/G5d+dfY3F+FOjvOKBo0RX8iuzZqBqYfSzrE9VRPxUL6ARF6kq49typrmbY4uzaM
 zMgU+s9fu3RRwOC7laVUVRAL6Wnt6biz/jy+Fe9k8KKBUgUs9/GfI5WRzVaj49R3bu7eb5lMy
 s0UOMUJPH6eNHYMuWHAgkfrxtazMXAhs=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35769
Cc: 35769 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Wanrong Lin <wrglin@HIDDEN> writes:

> Hi Michael:

Hi Wanrong,

[Pls keep the Cc, for the archives]

> I just tested your patch (on Emacs 26.1 as I don't yet have a working
> Emacs 26.2 set up) , and unfortunately it did not seem to fix the
> issue. Would you mind taking a look at it again? Thanks.

Well, I have hard times to reproduce your problem. Anyway, could you try
the appended patch instead?

> Wanrong

Best regards, Michael.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment

*** /tmp/ediff16zXeN	2019-05-26 21:45:35.446178244 +0200
--- /net/ford/albinus/src/tramp/lisp/tramp.el	2019-05-26 21:44:57.446575193 +0200
***************
*** 4676,4681 ****
--- 4676,4682 ----
  PROGRAM is nil is trapped also, returning 1.  Furthermore, traces
  are written with verbosity of 6."
    (let ((default-directory (tramp-compat-temporary-file-directory))
+ 	(process-environment (default-toplevel-value 'process-environment))
  	(destination (if (eq destination t) (current-buffer) destination))
  	(vec (or vec (car tramp-current-connection)))
  	output error result)
***************
*** 4709,4714 ****
--- 4710,4716 ----
  PROGRAM is nil is trapped also, returning 1.  Furthermore, traces
  are written with verbosity of 6."
    (let ((default-directory (tramp-compat-temporary-file-directory))
+ 	(process-environment (default-toplevel-value 'process-environment))
  	(buffer (if (eq buffer t) (current-buffer) buffer))
  	result)
      (tramp-message
***************
*** 4738,4743 ****
--- 4740,4746 ----
  If an error occurs, it returns nil.  Traces are written with
  verbosity of 6."
    (let ((default-directory (tramp-compat-temporary-file-directory))
+ 	(process-environment (default-toplevel-value 'process-environment))
  	(vec (or vec (car tramp-current-connection)))
  	result)
      (if args

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35769; Package emacs. Full text available.
bug Marked as fixed in versions 27.1. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35769 <at> debbugs.gnu.org:


Received: (at 35769) by debbugs.gnu.org; 18 May 2019 16:18:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 18 12:18:17 2019
Received: from localhost ([127.0.0.1]:32860 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hS22L-0004AV-0Z
	for submit <at> debbugs.gnu.org; Sat, 18 May 2019 12:18:17 -0400
Received: from mout.gmx.net ([212.227.15.19]:38417)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1hS22J-0004AI-6P
 for 35769 <at> debbugs.gnu.org; Sat, 18 May 2019 12:18:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1558196287;
 bh=Ft1DZKOsxV98hDmt0eY6Q0l+kzjs6lJskqsFmZJVLRA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=lj8BEJjmr+3gDgJv/nAiNHws9E1CEuRC96y7KdqNWvFdNuoEHpf9GnONrEqnsidJH
 Isv+1UU92kp4loDb7I/BwKJ1QGB2rolY3XSGA5ZxEcupi1X8Wy9QUsMijOTMgO79t5
 6SjENBav/p4G6D1aUJ/khGVfszIOhZQvvt/7Bv7o=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([217.244.190.209]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M1VlJ-1gdvWB38eH-00tQ5Z; Sat, 18
 May 2019 18:18:07 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Wanrong Lin <wrglin@HIDDEN>
Subject: Re: bug#35769: Local .bash_history cleared when
 tramp-histfile-override is set to t
In-Reply-To: <CAFAV3Zbg092UrH1gzkgHLYKjA_9KodLzKa-=9hUnUbXds1A8zA@HIDDEN>
 (Wanrong Lin's message of "Thu, 16 May 2019 21:11:33 -0400")
References: <CAFAV3Zbg092UrH1gzkgHLYKjA_9KodLzKa-=9hUnUbXds1A8zA@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
Date: Sat, 18 May 2019 18:18:01 +0200
Message-ID: <87ef4v20ue.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:K8C92EXEbCW06uBzQzG/0+dSCSBzMVk41DcPQDZBEXFsqmOIJ20
 hG7W9pnExrWqRoZID+91y58sBjB0tcTZnBg3Lflp0ggnkQzBsFcKAX7Ed+I4ty/nn9AvDGK
 2sSPT2EJJG8zGwrq7RKnfx57fD/JmjgHh2yn5zJirltJ2hOWaPlAdLbtPIHUyssGmtfiH57
 naWmSl96tyc7aP2zgbuRA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:gNGS/Kgs5f4=:b/ogilxnjvxI7q+KBet8lv
 QZyOE2eadcXRn287RfQsIJ51vr2Zxj5X/tDxG4COvX3cdo78CGZ6kpycyzZlxmudQAHP/aYw8
 EzrW3OKdFxdl3l1/CpJ2piTDHvMU34tcVM+Pmu7vGhxib8rg6XBCpZFmprucHWFiCsex8FRL5
 J+8nAwxPuHcAD+TVczQ/6+ciU0HtypYYf+SCoE3m1Qabq2NA1zkHo/aPiBwJFKEhJhnx75Lz8
 Txrhur+NrFprkej1REfFVLiR57htq8HlUsQqF5w0B4CDzoRpW5d/VtzfggKcjQRksaK9qoTzS
 9IwzD+WPCKmiKfyr/CpWf5wBy1jKKXWAS5yZ+vxjHMDOWW6DEutxw4YTyDL6Nvwv9k9aYXJ3N
 k75+NYNG+ReU0P7aL0Sguhnyo80WwK0JswbRkwWKvEKJbCxpHRgchoDwV07AJzIN/Lib5JH/F
 qU1MjN/qL0jFK8L0n5WitAK8NINXxOUFW5qhLqx8fGByYsbbEtXfPjzmzXcEtn7VvyW1/pThr
 +OL9vx/AXetaUnssWUOKof6mparhCV0k7D5wgINfBDvhVOXVcDxEGu27YkhvV+kLm599gLjf0
 mnH0EXEA2N19vFNDfU+x4ph5WeiL3NJJ8GIXHgL2Li19fTTeF4yOgQhx4xzHHP1A9vui7QnwJ
 YZ7EZxt3vSq98aDfxo3pgRNu66Ou075Ogs5FM4p+EhXa5+E9kcRxp6ieRr8Kue54zj6S1+W6N
 O9NTABLh1apE+buKYNCSzVjVRRgQ7UU4sDK27bWkMbZ5y2eARm+a2XFzAFHRevPy0KT6atilR
 3if4KEL/v6J8RkVKEPHnsWGXpQ6kNkQlXAmhU4g2QqjJbQhp0tqYvfoMM4NVSK3uSEbDCmM7P
 F8e4wjVJm/UdmXGpo1H2EUSJ5kdouRZ1dYBOuGbnkeIJhvnazobG354b+GW1bXz1iTg/lsoEk
 IRK9fk9hUIogu8cg3YRPDhjmull/Zd2mqKy9Omlh0BvahKXA48gZF
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35769
Cc: 35769 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Wanrong Lin <wrglin@HIDDEN> writes:

Hi,

> Emacs 26.1, Linux
> When I have this
> (setq tramp-histfile-override t)
> and use tramp to open a remote directory via scp, the *local*
> ~/.bash_history is wiped out (i.e. it becomes an empty file). I don't
> think that is the desired behavior for this setting.

Thanks for the bug report. I've pushed a patch to the Tramp and Emacs
repositories which should fix it. Do you have a chance to test a recent
checkout of Tramp or Emacs?

> W. Lin

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35769; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 May 2019 01:17:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 16 21:17:07 2019
Received: from localhost ([127.0.0.1]:56871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hRRUh-0007FI-Cu
	for submit <at> debbugs.gnu.org; Thu, 16 May 2019 21:17:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42975)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wanrlin@HIDDEN>) id 1hRRPl-00074x-QT
 for submit <at> debbugs.gnu.org; Thu, 16 May 2019 21:12:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:54110)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <wanrlin@HIDDEN>) id 1hRRPg-00085d-OQ
 for submit <at> debbugs.gnu.org; Thu, 16 May 2019 21:11:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57348)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <wanrlin@HIDDEN>) id 1hRRPf-0000Ap-Qe
 for bug-gnu-emacs@HIDDEN; Thu, 16 May 2019 21:11:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wanrlin@HIDDEN>) id 1hRRPd-00083D-T5
 for bug-gnu-emacs@HIDDEN; Thu, 16 May 2019 21:11:55 -0400
Received: from mail-lj1-x234.google.com ([2a00:1450:4864:20::234]:33622)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <wanrlin@HIDDEN>) id 1hRRPa-0007yj-40
 for bug-gnu-emacs@HIDDEN; Thu, 16 May 2019 21:11:52 -0400
Received: by mail-lj1-x234.google.com with SMTP id w1so4813022ljw.0
 for <bug-gnu-emacs@HIDDEN>; Thu, 16 May 2019 18:11:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=WxAMFZCRoabMIIeestr01r46AA5JOJBf4Exnt2IXqJc=;
 b=aSaNymWMXuoaKtC5sr0zxTGLZ3zrMmOg4W7OdCXGC5tNy4CSn4n5gNXo6q5Y2V764k
 qBLTTm100RnmX0pC4zvPDo2yfKRsYN9fAjc10/WTA82w0wVwnZ2NDSuUPoWHzUGTJC63
 AzjNLxESUDPjYgsey5t29ImFWpzvDqt/UCUrk1eJMom7oBajOJuv94f+jrcMVSGsBsLb
 8sWPUAbXXVa+PY7yi+G/opcygc015Kqn+9uFi9miBhz+j3B5kf8hX6fTwTjNKp7SS4mq
 3/xzog5pEl4Fa3Ih8bNw4ffUBgyfkXjqEJQiX4+UmJM5+5/UNMCibutFKxrtV8s0YVol
 g5RA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=WxAMFZCRoabMIIeestr01r46AA5JOJBf4Exnt2IXqJc=;
 b=lVuaAsoOBDWR/Z2lTRXBW0HVbnc0Sel5u/zb/AvZWIOki2NlwFd58PGRyvkkjDGOSN
 rmlFJj5IYVz/GE3xlpY4dWKUs3RnJ/TVX6I3xt88aU3wbx6Hb88WIDTlUhGy/O0cIlQy
 mpvIGVDkPgjMCxWsN6b/gxWMXwoZ6OsTiope6GrmaqnVWojjrbJJvEJz9rSZpC0zF120
 u2BQ9ZHwUq7Oh41al9H6hic6maAOZW5mNOwyCRSpEXlvdG/L9XxlFftPfgCbBZjln7ul
 TrMqTmu0yj8CG6MICMdB2FjVzkq4Ym69VDd5UKQq8oQSicMLRFP8Z5LUe3FI1XQ//uHK
 9RHw==
X-Gm-Message-State: APjAAAV84d5YFDWPvokdRV5P72dXTRN91DcWRfHsFmZmyu+MHy01qH73
 2AwBIflysqCebk9gMjwXfwiW8ooSLq0fyvYt3XAb/hLX
X-Google-Smtp-Source: APXvYqzaA6HXXluC1WoPAx7nya3s6E+ITQHmXp4nRNEO+hSCr+PzxPKpJLLo/qc/4iohU3FQc9EHOC/jWQ8Oc9OoRTA=
X-Received: by 2002:a2e:5d49:: with SMTP id r70mr27498916ljb.102.1558055504582; 
 Thu, 16 May 2019 18:11:44 -0700 (PDT)
MIME-Version: 1.0
From: Wanrong Lin <wrglin@HIDDEN>
Date: Thu, 16 May 2019 21:11:33 -0400
Message-ID: <CAFAV3Zbg092UrH1gzkgHLYKjA_9KodLzKa-=9hUnUbXds1A8zA@HIDDEN>
Subject: Local .bash_history cleared when tramp-histfile-override is set to t
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::234
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 16 May 2019 21:17:03 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Emacs 26.1, Linux
When I have this
(setq tramp-histfile-override t)
and use tramp to open a remote directory via scp, the *local*
~/.bash_history is wiped out (i.e. it becomes an empty file). I don't
think that is the desired behavior for this setting.

Thanks for looking into it.

W. Lin




Acknowledgement sent to Wanrong Lin <wrglin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35769; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 3 Jun 2019 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.